package siprp.update.updates;

import siprp.higiene.gestao.importacao.Importador;

import com.evolute.module.updater.AbstractUpdate;
import com.evolute.utils.db.Executer;

public class V11_2_To_V11_3 extends AbstractUpdate
{
	
	public V11_2_To_V11_3()
	{
		super(11.2,11.3,"Higiene e seguranca: restruturacao");
	}
	
	@Override
	public void doUpdate() throws Exception
	{
		Executer executer = getExecuter();
		com.evolute.utils.sql.Update update = 
			new com.evolute.utils.sql.Update(
					"alter table hs_posto add column is_principal boolean; " +
					"alter table hs_relatorio_posto add column is_principal boolean; " +
					"alter table hs_relatorio_area add column ordem int4; " +
					"alter table hs_area add column ordem int4; " +
					"alter table hs_relatorio_posto_risco add column ordem int4; " +
					"alter table hs_posto_risco add column ordem int4; "
			);
		executer.executeQuery( update );
		new Importador( executer ).importar();
	}
	
}
